/*
    AddCustomer.prg
    Author ...: Ken Mayer
    Date .....: May, 2004
    Notes:
       Adding a customer to the database is pretty basic, in this
       case part 1 of the process is very similar to the EditCustomer
       program, but we don't need to filter the data, etc.
    
    Calls:       AddCustomer2.dbw
    Called from: DisplayCustomers.prg

    Purpose: This is a demonstration of code using dBASE to create
             web applications, created for dBCon 2004. This code
             may be used, modified as needed, etc. for your own
             application, but please give credit where credit is
             due.
*/

// This "included" program handles the initialization of the
// CGI object, the setup of the data, and also handles the
// HTML header and the page title tags ...:
#INCLUDE <GSCustomerStartCode.prg>

try
   // First some really basic stuff (center, some title stuff, 
   // end/center):
   oCGI.cOutString += [<center><font size="+2">New Customer Data</font><br>]
   oCGI.cOutString += [Date: ]+date()+[</center>]
   oCGI.cOutString += [<p>]

   // Need to stream out the 'begin form' tag, with the name of the
   // CGI application we'll call when the user clicks the "Submit"
   // button:
   oCGI.getFormBegin( "AddCustomer2.dbw" )

   // display the editing screen:
   oCGI.getCustomerScreen("Add" )

   // here we set up the pushbuttons at the bottom of the screen:
   oCGI.cOutString += [<center>]
   oCGI.cOutString += [<input type="submit" value="Save">]
   oCGI.cOutString += [&nbsp;&nbsp;&nbsp;]
   oCGI.cOutString += [<input type="reset">]
   oCGI.cOutString += [</center>]

   // end of the form:
   oCGI.cOutString += [</form>]

   // add an anchor tag to go back to the main application menu
   oCGI.cOutString += [<p><hr><p>]
   oCGI.cOutString += [<a href="../index.htm">Main Application Menu</a>]

   // Stream the screen out:
   oCGI.streamDetail( oCGI.cOutString )

   // ---------------------------------------------------
   // stream out the footer:
   oCGI.streamFooter()

   // we're done. While not absolutely necessary, this can't
   // hurt:
   quit

catch( Exception E )

   oCGI.errorPage( e )

endtry
// --------------------------------------------------------------------
// End of program: EditCustomer.prg
// --------------------------------------------------------------------
