/*
    DeleteCustomer2.prg
    Author ...: Ken Mayer
    Date .....: June, 2004
    Notes:
       Delete a customer's data. The user has selected
       the "delete this customer" link from the previous
       program, so they're serious about it ...
    
    Calls:       DisplayCustomers.dbw
    Called from: DeleteCustomer.prg

    Purpose: This is a demonstration of code using dBASE to create
             web applications, created for dBCon 2004. This code
             may be used, modified as needed, etc. for your own
             application, but please give credit where credit is
             due.
*/

// This "included" program handles the initialization of the
// CGI object, the setup of the data, and also handles the
// HTML header and the page title tags ...:
#INCLUDE <GSCustomerStartCode.prg>

// we should have a parameter and we need to try to find
// the value passed:
try

   if not rCustomer.applyLocate( "CustomerNum="+oCGI["CustomerNum"] )
      oCGI.sorryPage( "Customer Number: "+oCGI["CustomerNum"]+" was not found ..." )
      quit
   else
      rCustomer.filter = "CustomerNum="+val( oCGI["CustomerNum"] )
   endif


catch( Exception E )

   oCGI.errorPage( e )

endtry


try
   // First some really basic stuff (center, some title stuff, 
   // end/center):
   oCGI.cOutString += [<center><font size="+2">Delete Customer Data</font><br>]
   oCGI.cOutString += [Date: ]+date()+[</center>]
   oCGI.cOutString += [<p>]

   // Display some of the customer data -- this is "lifted"
   // from GS_WebClass.cc, the GetCustomerScreen method,
   // and modified to display-only, and not all data is
   // displayed.

   // first, a table:
   oCGI.cOutString +=  [<center><table border="1">]

   // Customer Number:
   oCGI.cOutString +=  [<tr valign="top">]
   oCGI.cOutString +=  [<td align="right">Customer Number: </td>]
   oCGI.cOutString +=  [<td>]+fCustomer["CustomerNum"].value+[</td>]
   oCGI.cOutString +=  [</tr>]

   // Next the name fields:
   // First Name:
   oCGI.cOutString +=  [<tr valign="top">]
   oCGI.cOutString +=  [<td align="right">First Name: </td>]
   oCGI.cOutString +=  [<td>]
   oCGI.cOutString +=  fCustomer["FirstName"].value.rightTrim()
   oCGI.cOutString +=  [</td>]
   oCGI.cOutString +=  [</tr>]
   // Last Name:
   oCGI.cOutString +=  [<tr valign="top">]
   oCGI.cOutString +=  [<td align="right">Last Name: </td>]
   oCGI.cOutString +=  [<td>]
   oCGI.cOutString +=  fCustomer["LastName"].value.rightTrim()
   oCGI.cOutString +=  [</td>]
   oCGI.cOutString +=  [</tr>]

   // City:
   oCGI.cOutString +=  [<tr valign="top">]
   oCGI.cOutString +=  [<td align="right">City: </td>]
   oCGI.cOutString +=  [<td>]
   oCGI.cOutString +=  fCustomer["City"].value.rightTrim()
   oCGI.cOutString +=  [</td>]
   oCGI.cOutString +=  [</tr>]

   // State:
   oCGI.cOutString +=  [<tr valign="top">]
   oCGI.cOutString +=  [<td align="right">State <i>(if in US)</i>: </td>]
   oCGI.cOutString +=  [<td>]
   oCGI.cOutString +=  fCustomer["State"].value.rightTrim()
   oCGI.cOutString +=  [</td>]
   oCGI.cOutString +=  [</tr>]

   // Country:
   oCGI.cOutString +=  [<tr valign="top">]
   oCGI.cOutString +=  [<td align="right">Country: </td>]
   oCGI.cOutString +=  [<td>]
   oCGI.cOutString +=  fCustomer["Country"].value.rightTrim()
   oCGI.cOutString +=  [</td>]
   oCGI.cOutString +=  [</tr>]

   // finally let's end the table:
   oCGI.cOutString +=  [</table>]
   oCGI.cOutString +=  [<p>]

   // Actually Delete the record:
   rCustomer.delete()

   // let the user know ...
   oCGI.cOutString += [<font color="red">Customer record deleted from customer table.</font>]
   oCGI.cOutString += [<p>]

   // Give user the option to return to Display ...:
   oCGI.cOutString += [<a href="DisplayCustomers.dbw">]+;
                      [Return to Display of Customers]+;
                      [</a>]

   oCGI.cOutString += [</center>]

   // add an anchor tag to go back to the main application menu
   oCGI.cOutString += [<p><hr><p>]
   oCGI.cOutString += [<a href="../index.htm">Main Application Menu</a>]

   // Stream the screen out:
   oCGI.streamDetail( oCGI.cOutString )

   // ---------------------------------------------------
   // stream out the footer:
   oCGI.streamFooter()

   // we're done. While not absolutely necessary, this can't
   // hurt:
   quit

catch( Exception E )

   oCGI.errorPage( e )

endtry
// --------------------------------------------------------------------
// End of program: DeleteCustomer.prg
// --------------------------------------------------------------------
