/*
    EditCustomer.prg
    Author ...: Ken Mayer
    Date .....: May, 2004
    Notes:
       Edit the customer data. This takes a parameter -- the customer 
       number, and attempts to find the data. If it is not found,
       there is a problem, and we return an error. If it is found,
       we bring up a screen to allow the user to edit the record
       if they wish. The modified data will not be changed unless
       the user clicks the "Submit" button ...
    
    Calls:       EditCustomer2.dbw
    Called from: DisplayCustomers.prg

    Purpose: This is a demonstration of code using dBASE to create
             web applications, created for dBCon 2004. This code
             may be used, modified as needed, etc. for your own
             application, but please give credit where credit is
             due.
*/

// This "included" program handles the initialization of the
// CGI object, the setup of the data, and also handles the
// HTML header and the page title tags ...:
#INCLUDE <GSCustomerStartCode.prg>

// we should have a parameter and we need to try to find
// the value passed:
try

   if not rCustomer.applyLocate( "CustomerNum="+oCGI["CustomerNum"] )
      oCGI.sorryPage( "Customer Number: "+oCGI["CustomerNum"]+" was not found ..." )
      quit
   else
      rCustomer.filter = "CustomerNum="+val( oCGI["CustomerNum"] )
   endif


catch( Exception E )

   oCGI.errorPage( e )

endtry


try
   // First some really basic stuff (center, some title stuff, 
   // end/center):
   oCGI.cOutString += [<center><font size="+2">Customer Data</font><br>]
   oCGI.cOutString += [Date: ]+date()+[</center>]
   oCGI.cOutString += [<p>]

   // Need to stream out the 'begin form' tag, with the name of the
   // CGI application we'll call when the user clicks the "Submit"
   // button:
   oCGI.getFormBegin( "EditCustomer2.dbw" )

   // display the editing screen:
   oCGI.getCustomerScreen("Edit" )

   // here we set up the pushbuttons at the bottom of the screen:
   oCGI.cOutString += [<center>]
   oCGI.cOutString += [<input type="submit" value="Save Changes">]
   oCGI.cOutString += [&nbsp;&nbsp;&nbsp;]
   oCGI.cOutString += [<input type="reset">]
   oCGI.cOutString += [</center>]

   // end of the form:
   oCGI.cOutString += [</form>]

   // add an anchor tag to go back to the main application menu
   oCGI.cOutString += [<p><hr><p>]
   oCGI.cOutString += [<a href="../index.htm">Main Application Menu</a>]

   // Stream the screen out:
   oCGI.streamDetail( oCGI.cOutString )

   // ---------------------------------------------------
   // stream out the footer:
   oCGI.streamFooter()

   // we're done. While not absolutely necessary, this can't
   // hurt:
   quit

catch( Exception E )

   oCGI.errorPage( e )

endtry
// --------------------------------------------------------------------
// End of program: EditCustomer.prg
// --------------------------------------------------------------------
